#include <bits/stdc++.h>

using namespace std;

struct fr
{
    double A,P;
};

bool sortB(fr a,fr b)
{
    if(a.P > b.P)
        return true;
    return false;
}

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);

    int N;
    cin >> N;

    vector<fr> F;

    for(int i = 0;i<N;i++)
    {
        fr pom;
        cin >> pom.A >> pom.P;
        F.push_back(pom);
    }

    sort(F.begin(),F.end(),sortB);


    /*cout << endl;
    for(int i = 0;i<N;i++)
    {
        cout << F[i].A << "\t" << F[i].P << endl;
    }
    cout << endl;*/

    double maxRes = 0;
    double currSum = 0;

    for(int i = 0;i<N;i++)
    {
        currSum += F[i].A;
        if(F[i].P != F[i+1].P)
        {
            if(maxRes < currSum*F[i].P)
                maxRes = currSum*F[i].P;
        }
    }

    cout << fixed <<maxRes/100.;
    return 0;
}